Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.generation
Class GenExercise

    java.lang.Object
      mauda.SimpleExercise
          mauda.Exercise
              mauda.generation.GenExercise

    public class GenExercise

extends Exercise

Extends the Exercise-class to hold specific information that is needed for Generation-Editor.

Author:
  Markus Krebs

Field Summary

Fields inherited from class mauda.Exercise
`BOTHOPERATION, compPanel, controlPanel, interactive, jedasPanel, NOPOPUP, OPERATION, opsToAnimate, quickAnim, scheduler, SUBOPERATION`

Fields inherited from class mauda.SimpleExercise
`availableOperations, availableSubOperations, operationExecuter`

Constructor Summary
`GenExercise(java.lang.String type)` Creates a GenExercise

Method Summary
`TreeOperationView` | `getTreeOperationView()` Gets the `TreeOperationView`

Methods inherited from class mauda.Exercise
`actionsAllowed, addFullLoadedMessage, animate, back, commit, commit, commit, commit, commitInteractive, forward, getInteractiveMode, getUndoRedo, isModified, isReadyToSave, jumpToBeginning, jumpToEnd, load, redo, reset, save, setActionsAllowed, setDifficulty, setInteractiveMode, setMode, setModified, setQuickAnim, stopPlaying, switchTo, undo`

Methods inherited from class mauda.SimpleExercise
`addExerciseUpdateListener, addExerciseUpdateListenerFirst, getAvailableOperations, getAvailableSubOperations, getDataDirectory, getDefaultFilename, getDifficulty, getDSObject, getFilename, getMetaData, getMode, getOperationExecuter, getOperationRecorder, getPlugInHandler, init, load, loadConfig, operationExecuted, removeExerciseUpdateListener, sendExerciseUpdateMessages, setAvailableOperations, setAvailableSubOperations, setDataDirectory, setDefaultFilename, setDSObject, setFilename, setMetaData, setOperationExecuter, setPlugInHandler, updateMetaDataInitTodoRating`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenExercise

    public GenExercise(java.lang.String type)

  Creates a GenExercise

  Parameters:
    `type` - plug-in-name

Method Detail

### getTreeOperationView

    public TreeOperationView getTreeOperationView()

  Gets the `TreeOperationView`

  Returns:
    TreeOperationView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD